<?php declare(strict_types=1);

namespace Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Item;
use Infomaker\Everyware\NewsML\Parsers\Interfaces\ItemParser;
use Infomaker\Everyware\NewsML\Parsers\Interfaces\TypeParser;
use SimpleXMLIterator;

/**
 * Class BaseObjectParser
 * @package Infomaker\Everyware\NewsML\Parsers
 */
abstract class BaseObjectParser implements ItemParser, TypeParser
{
    public function parse(SimpleXMLIterator $element): array
    {
        $item = new Item($element);
        $item->fill((array)$element->data);

        return [$item];
    }
}
