<?php

namespace Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Item;
use Infomaker\Everyware\NewsML\Parsers\Interfaces\ItemParser;
use Infomaker\Everyware\NewsML\Parsers\Interfaces\TypeParser;
use SimpleXMLIterator;

class MapEmbedParser implements ItemParser, TypeParser
{
    public const OBJECT_TYPE = 'x-im/mapembed';

    public function parse(SimpleXMLIterator $element): array
    {
        $item = new Item($element);
        $item->fill($this->getData($element));

        return [$item];
    }

    public function typeToParse(): string
    {
        return static::OBJECT_TYPE;
    }

    protected function getData(SimpleXMLIterator $element): array
    {
        $defaultData = [];
        if ( ! property_exists($element, 'data')) {
            return $defaultData;
        }

        return array_map(static function ($item) {
            return is_numeric($item) ? (int)$item : $item;
        }, (array)$element->data->children());
    }
}
