<?php declare(strict_types=1);

namespace Spec\Infomaker\Everyware\NewsML;

use Infomaker\Everyware\NewsML\Parsers\Interfaces\ItemParser;
use PhpSpec\ObjectBehavior;
use SimpleXMLIterator;

/**
 * Class TagParserSpec
 * @package Infomaker\Everyware\NewsML
 * @method parse(SimpleXMLIterator $el)
 */
abstract class CollectionParserSpec extends ObjectBehavior
{
    function it_implements_correct_interfaces()
    {
        $this->shouldImplement(ItemParser::class);
    }

    protected function validateXML($xml, array $matchValues): void
    {
        $el = simplexml_load_string($xml, 'SimpleXMLIterator');
        $this->parse($el)->shouldReturnValidItemCollection($matchValues);
    }
}
