<?php

namespace Spec\Infomaker\Everyware\NewsML\LinkParsers;

use Infomaker\Everyware\NewsML\LinkParsers\ArticleLinkParser;
use Spec\Infomaker\Everyware\NewsML\ParserSpec;

class ArticleLinkParserSpec extends ParserSpec
{
    function it_is_initializable()
    {
        $this->shouldHaveType(ArticleLinkParser::class);
    }

    public function it_should_parse_a_link()
    {
        $xml = '<link rel="article" type="x-im/article" title="Article headline" uuid="22885008-ec24-4b59-8edf-67109322f49b"/>';
        $this->validateXML($xml, [
            'rel' => 'article',
            'type' => 'x-im/article',
            'title' => 'Article headline',
            'uuid' => '22885008-ec24-4b59-8edf-67109322f49b'
        ]);
    }
}
