<?php

namespace Spec\Infomaker\Everyware\NewsML\LinkParsers;

use Infomaker\Everyware\NewsML\LinkParsers\AuthorLinkParser;
use Spec\Infomaker\Everyware\NewsML\ParserSpec;

class AuthorLinkParserSpec extends ParserSpec
{
    function it_is_initializable()
    {
        $this->shouldHaveType(AuthorLinkParser::class);
    }

    public function it_should_parse_a_link()
    {
        $xml = <<<XML
<link rel="author" type="x-im/author" title="Jane Doe" uuid="7a39b42b-1315-4711-a136-7b3a9f132110">
    <data>
        <email>jane.doe@email.com</email>
    </data>
</link>
XML;
        $this->validateXML($xml, [
            'rel' => 'author',
            'type' => 'x-im/author',
            'title' => 'Jane Doe',
            'uuid' => '7a39b42b-1315-4711-a136-7b3a9f132110',
            'email' => 'jane.doe@email.com',
        ]);
    }
}
