<?php

namespace Spec\Infomaker\Everyware\NewsML\LinkParsers;

use Infomaker\Everyware\NewsML\LinkParsers\FacebookVideoLinkParser;
use Spec\Infomaker\Everyware\NewsML\ParserSpec;

class FacebookVideoLinkParserSpec extends ParserSpec
{
    function it_is_initializable()
    {
        $this->shouldHaveType(FacebookVideoLinkParser::class);
    }

    public function it_should_parse_a_link()
    {
        $xml = '<link rel="self" type="x-im/facebook-video" url="https://www.facebook.com/130004133621/videos/870816339922635/" uri="im://facebook-video/870816339922635"/>';
        $this->validateXML($xml, [
            'rel' => 'self',
            'type' => 'x-im/facebook-video',
            'url' => 'https://www.facebook.com/130004133621/videos/870816339922635/',
            'uri' => 'im://facebook-video/870816339922635',
        ]);
    }
}
