<?php

namespace Spec\Infomaker\Everyware\NewsML\LinkParsers;

use Infomaker\Everyware\NewsML\LinkParsers\SoundcloudLinkParser;
use Spec\Infomaker\Everyware\NewsML\ParserSpec;

class SoundcloudLinkParserSpec extends ParserSpec
{
    function it_is_initializable()
    {
        $this->shouldHaveType(SoundcloudLinkParser::class);
    }

    public function it_should_parse_a_link()
    {
        $xml = '<link rel="self" type="x-im/soundcloud" url="https://soundcloud.com/angrysausage/toby-fox-undertale" uri="im://soundcloud/angrysausage.Toby%20Fox%20-%20UNDERTALE%20Soundtrack%20-%20100%20MEGALOVANIA%20by%20angrysausage"/>';
        $this->validateXML($xml, [
            'rel' => 'self',
            'type' => 'x-im/soundcloud',
            'url' => 'https://soundcloud.com/angrysausage/toby-fox-undertale',
            'uri' => 'im://soundcloud/angrysausage.Toby%20Fox%20-%20UNDERTALE%20Soundtrack%20-%20100%20MEGALOVANIA%20by%20angrysausage',
        ]);
    }
}
